/*--------------------------------*- C++ -*----------------------------------*\\
| =========                 |                                                 |
| \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox           |
|  \\    /   O peration     | Version:  v1912                                 |
|   \\  /    A nd           | Website:  www.openfoam.com                      |
|    \\/     M anipulation  |                                                 |
\*---------------------------------------------------------------------------*/
FoamFile
{
    version     2.0;
    format      ascii;
    class       dictionary;
    location    "system";
    object      controlDict;
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

application     interFoam;

startFrom       latestTime;
startTime       0.0;
stopAt          endTime;
endTime         10;
deltaT          0.01;
writeControl    adjustable;
writeInterval   0.05;
purgeWrite      0;
writeFormat     ascii;
writePrecision  6;
writeCompression off;
timeFormat      general;
timePrecision   6;
runTimeModifiable yes;
adjustTimeStep  yes;

maxCo           0.65;
maxAlphaCo      0.65;
maxDeltaT       0.05;

functions
{
    lineMOVING
    {
        type            sets;
        libs (sampling);
        enabled         true;
        writeControl    writeTime;
        outputInterval  1;

        interpolationScheme cellPoint;
        setFormat       raw;
        sets
        (
            line1
            {
                type uniform;
                axis distance;
                start   ( 1.33 0.004 0.0 );
                end     ( 1.33 0.004 0.6 );
                nPoints 101;
            }
            line2
            {
                type uniform;
                axis distance;
                start   ( 3.33 0.004 0.0 );
                end     ( 3.33 0.004 0.6 );
                nPoints 101;
            }

        );

        fixedLocations  false;
        fields
        (
            p p_rgh U alpha.water
        );
    }

    lineFIXED
    {
        type            sets;
        libs (sampling);
        enabled         true;
        writeControl    writeTime;
        outputInterval  1;

        interpolationScheme cellPoint;
        setFormat       raw;
        sets
        (
            line3
            {
                type uniform;
                axis distance;
                start   ( 5.33 0.004 0.0 );
                end     ( 5.33 0.004 0.6 );
                nPoints 101;
            }
            line4
            {
                type uniform;
                axis distance;
                start   ( 5.66 0.004 0.0 );
                end     ( 5.66 0.004 0.6 );
                nPoints 101;
            }
        );

        fixedLocations  true;
        fields
        (
            p p_rgh U alpha.water
        );
    }
}


// ************************************************************************* /
